Virtual Account Status
This endpoint allows you to retrieve details of any active virtual accounts.
Authentication
AuthorizationBearer
All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.
Headers
Authorization
The OAuth Token prefixed with "Bearer" and space in between.
encrypted-params
Indicates the virtual_account_number To specify the virtual account number that must be for inquired/updated/deleted.<br />Sample message before encryption - {“virtual_account_number”:“09834572”}
Query parameters
client_id
This is your unique identifier shared during your CitiConnect API onboarding. This is the same client_id used for OAuth token generation.
branch_code
Citi's internal branch code associated with a virtual account number.
Response
Accepted
message
Detailed response description for given request.
request_id
Auto-generated unique identification assigned for the request.
status
Status of the request.
Errors
400
Bad Request Error
401
Unauthorized Error
405
Method Not Allowed Error
500
Internal Server Error